Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000615bareos-core[All Projects] file daemonpublic2016-02-05 17:432016-07-08 14:34
Reporterscrasa 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSWindowsOS VersionWindows 2008 R2
Product Version 
Target VersionFixed in Version 
Summary0000615: symlinks/junctions wrong target path on restore
DescriptionWhen restoring windows junctions/symlinks the target path is wrong with
something like :

(for symlinkd and symlink with absolute target path [C:\...])
\\?\C:\...

(for symlinkd and symlink with relative target path [name...])
\\?\C:\Windows ...
(add an extra C:\Windows before path)

(for junctions)
\??\C:\...

And even, when after the restoration came to junction, the filedaemon either crash, or run indefinitely unable to stop from director with "cancel"
Steps To Reproducecreate files and folder
use mklink with "/D" (symlinkd) "/J" (junction) "" (symlink file)
use absolute target path "C:\mypath_to_file-folder"
or user relative target path "name_file-folder" made with the previous "cd" to subdir
Additional InformationThe problem was tested with linux director 14.2 (debian) and filedaemon under windows with version 16.1 (from nightly).
Same problem with linux director 16.1 (nightly) and filedaemon 16.1 under windows
(filedaemon run on Windows Server 2008 R2)
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impactyes
bareos-15.2: actionfixed
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impact
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone
Attached Files

- Relationships
child of 0000584closedjoergs Release bareos-14.2.7 

-  Notes
(0002220)
pstorz (administrator)
2016-03-23 22:23

Fix committed to bareos bareos-15.2 branch with changesetid 6174.
(0002311)
mvwieringen (developer)
2016-07-08 14:34

Fix committed to bareos bareos-14.2 branch with changesetid 6419.

- Related Changesets
bareos: bareos-15.2 97161d30
Timestamp: 2016-03-22 12:06:12
Author: pstorz
Ported: N/A
Details ] Diff ]
Fix problems with wide char symlinks and junctions

There were some problems since the last change to
the junctions and symlink code on windows to support
wide characters.

This fixes these problems so that we now can create correct
wide character symlinks and junctions.

This commit also adds a unit test for creating junctions and
changes what is needed for that.

Fixes 0000615: symlinks/junctions wrong target path on restore
mod - platforms/win32/winbareos.nsi Diff ] File ]
mod - src/lib/unittests/Makefile.in Diff ] File ]
add - src/lib/unittests/junction_test.c Diff ] File ]
mod - src/lib/unittests/protos.h Diff ] File ]
mod - src/lib/unittests/test_lib.c Diff ] File ]
mod - src/win32/compat/compat.c Diff ] File ]
mod - src/win32/compat/include/compat.h Diff ] File ]
mod - src/win32/lib/unittests/Makefile Diff ] File ]
bareos: bareos-14.2 15659e4a
Timestamp: 2016-03-22 12:06:12
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Fix problems with wide char symlinks and junctions

There were some problems since the last change to
the junctions and symlink code on windows to support
wide characters.

This fixes these problems so that we now can create correct
wide character symlinks and junctions.

Fixes 0000615: symlinks/junctions wrong target path on restore
add - src/lib/unittests/junction_test.c Diff ] File ]
mod - src/win32/compat/compat.c Diff ] File ]
mod - src/win32/compat/include/compat.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-05 17:43 scrasa New Issue
2016-02-25 17:25 maik Status new => acknowledged
2016-03-23 22:23 pstorz Changeset attached => bareos bareos-15.2 97161d30
2016-03-23 22:23 pstorz Note Added: 0002220
2016-03-23 22:23 pstorz Status acknowledged => resolved
2016-03-23 22:23 pstorz Resolution open => fixed
2016-07-05 11:44 joergs Relationship added child of 0000584
2016-07-05 11:46 joergs bareos-master: impact => yes
2016-07-05 11:46 joergs bareos-master: action => fixed
2016-07-05 11:46 joergs bareos-15.2: impact => yes
2016-07-05 11:46 joergs bareos-15.2: action => fixed
2016-07-05 11:46 joergs bareos-14.2: impact => yes
2016-07-05 11:46 joergs bareos-14.2: action => fixed
2016-07-05 11:46 joergs bareos-13.2: action => none
2016-07-05 11:46 joergs bareos-12.4: action => none
2016-07-08 14:34 mvwieringen Changeset attached => bareos bareos-14.2 15659e4a
2016-07-08 14:34 mvwieringen Note Added: 0002311


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker